> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.makeswift.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.makeswift.com/_mcp/server.

# Update Page

PATCH https://api.makeswift.com/v6/pages/{pageIdOrPathname}
Content-Type: application/json

Updates an existing page.

Reference: https://docs.makeswift.com/developer/api-reference/rest/pages/update-page

## Authentication

- `x-api-key` header (required) — API key authentication. Accepts either: - App API key (e.g. sk_eczMHVBY9fV6GYFhvs53qcnxq7yptlXL3ABKOZtn6dQ) - Site API key (UUID format, e.g. 550e8400-e29b-41d4-a716-446655440000)

## Request

### Path parameters

- `pageIdOrPathname` (string, required) — The page ID or pathname for the page you are updating.

### Query parameters

- `siteId` (string, optional) — The site ID required when using a pathname instead of a page ID.

### Body (application/json)

This endpoint expects an UpdatePageV6RequestBodyDto.

- `pathname` (string, optional) — The page pathname.
- `name` (string, optional) — The page name.
- `isOnline` (boolean, optional) — The flag that indicates whether the page is online.
- `elements` (UpdatePageV6RequestBodyDtoElements, optional) — The root of the page's element tree. When present, replaces the tree in full. This feature is in Beta and may change. Requests return `403` until the feature flag is enabled for your site or workspace.

## Response

### 200

- `object` (enum, required)
  - Allowed values: `page`
- `id` (string, required) — The ID of the page.
- `pathname` (string, required) — The page pathname.
- `canonicalUrl` (string, required, nullable) — The canonical URL of the page.
- `title` (string, required, nullable) — The page title.
- `description` (string, required, nullable) — The page description.
- `socialImageUrl` (string, required, nullable) — The social image URL of the page.
- `sitemapPriority` (double, required, nullable) — The sitemap priority.
- `sitemapFrequency` (enum, required, nullable) — The sitemap update frequency.
  - Allowed values: `always`, `hourly`, `daily`, `weekly`, `monthly`, `yearly`, `never`
- `createdAt` (datetime, required, nullable) — The page creation date and time.
- `updatedAt` (datetime, required, nullable) — The page last update date and time.
- `publishedAt` (datetime, required, nullable) — The page publication date and time.
- `isOnline` (boolean, required) — The flag that indicates whether the page is online.
- `excludedFromSearchEngines` (boolean, required, nullable) — The flag that indicates whether the page is excluded from search.
- `localizations` (list of UpdatePageV6ResponseBodyDtoLocalizationsItems, required) — The localizations of the page.
- `elements` (any, required) — Always `null` here. Get Page returns the page's element tree with `include=elements`.
- `locale` (string, optional) — The page locale. This defaults to the default locale of the parent site.

## Errors

### 400 Bad Request Error

- `object` (enum, required)
  - Allowed values: `error`
- `code` (enum, required)
  - Allowed values: `bad_request`
- `message` (string, required)

### 403 Forbidden Error

- `object` (enum, required)
  - Allowed values: `error`
- `code` (enum, required)
  - Allowed values: `forbidden`
- `message` (string, required)

### 404 Not Found Error

- `object` (enum, required)
  - Allowed values: `error`
- `code` (enum, required)
  - Allowed values: `not_found`
- `message` (string, required)

## Types

### UpdatePageV6RequestBodyDtoElements

The root of the page's element tree. When present, replaces the tree in full. This feature is in Beta and may change. Requests return `403` until the feature flag is enabled for your site or workspace.

- `type` (enum, required)
  - Allowed values: `./components/Root/index.js`
- `key` (string, required) — A UUID, unique within this tree.
- `props` (map from string to any, required) — Control-defined values, keyed by prop name. Nested elements appear here too, as a \{ elements, columns } value that may sit under any prop name and at any depth - there is no reserved prop name for children.

### UpdatePageV6ResponseBodyDtoLocalizationsItems

- `pathname` (string, required) — The pathname of the localization.
- `locale` (string, optional) — The locale of the localization.
- `id` (string, optional) — The ID of the localization.

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "object": "page",
  "id": "string",
  "pathname": "furniture",
  "canonicalUrl": "string",
  "title": "string",
  "description": "string",
  "socialImageUrl": "string",
  "sitemapPriority": 0.5,
  "sitemapFrequency": "always",
  "createdAt": "2024-01-15T09:30:00Z",
  "updatedAt": "2024-01-15T09:30:00Z",
  "publishedAt": "2024-01-15T09:30:00Z",
  "isOnline": true,
  "excludedFromSearchEngines": true,
  "localizations": [
    {
      "pathname": "string",
      "locale": "string",
      "id": "string"
    }
  ],
  "elements": null,
  "locale": "string"
}
```

**SDK Code**

```python
import requests

url = "https://api.makeswift.com/v6/pages/pageIdOrPathname"

payload = {}
headers = {
    "x-api-key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.makeswift.com/v6/pages/pageIdOrPathname';
const options = {
  method: 'PATCH',
  headers: {'x-api-key': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.makeswift.com/v6/pages/pageIdOrPathname"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("PATCH", url, payload)

	req.Header.Add("x-api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.makeswift.com/v6/pages/pageIdOrPathname")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["x-api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://api.makeswift.com/v6/pages/pageIdOrPathname")
  .header("x-api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://api.makeswift.com/v6/pages/pageIdOrPathname', [
  'body' => '{}',
  'headers' => [
    'Content-Type' => 'application/json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.makeswift.com/v6/pages/pageIdOrPathname");
var request = new RestRequest(Method.PATCH);
request.AddHeader("x-api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "x-api-key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.makeswift.com/v6/pages/pageIdOrPathname")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```